Skip to content

List metafield definitions

View as Markdown
get /api/metafield_definitions

Retrieves the collection of MetafieldDefinition resources.

Returns a paginated collection of metafield definitions in the current organization. Filter by ownerType to see the custom fields defined for a given resource.

Query parameters

NameTypeRequiredDescription
pageinteger-The collection page number
itemsPerPageinteger-The number of items per page
properties[]string[]-Allows you to reduce the response to contain only the properties you need. If your desired property is nested, you can address it using nested arrays. Example: properties[]={propertyName}&properties[]={anotherPropertyName}&properties[{nestedPropertyParent}][]={nestedProperty}
id[]string[]-Only the items with one of these ids, each a UUID or the item IRI.
ownerTypestring-MetafieldDefinition ownerType
ownerType[]string[]-MetafieldDefinition ownerType
typestring-MetafieldDefinition type
type[]string[]-MetafieldDefinition type
namestring-MetafieldDefinition name
name[]string[]-MetafieldDefinition name
order[name]string-MetafieldDefinition order[name]
order[createdAt]string-MetafieldDefinition order[createdAt]
order[updatedAt]string-MetafieldDefinition order[updatedAt]

Response

200 - MetafieldDefinition collection

PropertyTypeRequiredDescription
searchobject-
Show search fields
PropertyTypeRequiredDescription
@typestring-
mappingobject[]-
Show mapping fields
PropertyTypeRequiredDescription
@typestring-
propertystring | null-
requiredboolean-
variablestring-
templatestring-
variableRepresentationstring-
totalItemsinteger-
viewobject-
Show view fields
PropertyTypeRequiredDescription
@idstring-
@typestring-
firststring | null-
laststring | null-
nextstring | null-
previousstring | null-
memberMetafieldDefinition[]required
Show member fields
PropertyTypeRequiredDescription
@contextstring | object-
@idstringrequired
@typestringrequired
constraintsEmbeddedMetafieldDefinitionConstraintResource[]-The constraint rules scoping where this metafield definition applies (e.g. by category or channel).
Show constraints fields
PropertyTypeRequiredDescription
key"/api/metafield_definition_constraint_types/category" | "/api/metafield_definition_constraint_types/channel" | "/api/metafield_definition_constraint_types/category_channel"requiredThe type of constraint rule
valuesstring[]requiredArray of constraint values. Format depends on the constraint type.
createdAtstring-The date and time when the resource was created (ISO 8601 format).
descriptionstring | null-The description of the metafield definition.
idstring-The resource's unique identifier (UUID).
keystring-The unique identifier for the metafield definition within its namespace.
metafieldsCountinteger-The count of the metafields that belong to the metafield definition.
namestring-The human-readable name of the metafield definition.
namespacestring-The container for a group of metafields that the metafield definition is associated with.
ownerType"/api/metafield_owner_types/products" | "/api/metafield_owner_types/collections" | "/api/metafield_owner_types/variants" | "/api/metafield_owner_types/sale_offers" | "/api/metafield_owner_types/purchase_offers"requiredThe resource type that the metafield definition is attached to.
type"/api/metafield_definition_types/single_line_text_field" | "/api/metafield_definition_types/multi_line_text_field" | "/api/metafield_definition_types/number_integer" | "/api/metafield_definition_types/number_decimal" | "/api/metafield_definition_types/json" | "/api/metafield_definition_types/list__single_line_text_field" | "/api/metafield_definition_types/list__number_integer" | "/api/metafield_definition_types/list__number_decimal" | "/api/metafield_definition_types/list__product_reference" | "/api/metafield_definition_types/list__media_reference" | "/api/metafield_definition_types/product_reference" | "/api/metafield_definition_types/media_reference" | "/api/metafield_definition_types/metaobject_reference" | "/api/metafield_definition_types/list__metaobject_reference"requiredThe type of data that each of the metafields that belong to the metafield definition will store.
updatedAtstring-The date and time when the resource was last modified (ISO 8601 format).
validationsEmbeddedMetafieldDefinitionValidationResource[]-The validation rules applied to the values of metafields using this definition.
Show validations fields
PropertyTypeRequiredDescription
name"/api/metafield_definition_validation_types/min_length" | "/api/metafield_definition_validation_types/max_length" | "/api/metafield_definition_validation_types/min_value" | "/api/metafield_definition_validation_types/max_value" | "/api/metafield_definition_validation_types/max_precision" | "/api/metafield_definition_validation_types/json_schema" | "/api/metafield_definition_validation_types/media_type" | "/api/metafield_definition_validation_types/metaobject_definition"requiredThe type of validation rule
valuestringrequiredThe validation parameter value. Format depends on the validation type.

Errors

403 - Access denied. The caller is missing one or more permissions required for this operation.

Content-Type: application/problem+json

PropertyTypeRequiredDescription
@contextstring | object-
@idstringrequired
@typestringrequired
detailstring-
missingPermissionsstring[]-Permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied permission.
statusinteger-
titlestring-
typestring-